Subject: Re: [Cfrg] RFCs for wider-block RC6 and OCB

From: Pierre Karpman <[email-masked]>
Date: Wed, 17 Oct 2018 14:32:22 +0200 (CEST)

Hello Ted, 

If this starts gathering some interest, do you think it would also make sense to propose additional large-block block ciphers? I'm for instance thinking about SHACAL-2. 

All the best, 
Pierre 

-- 
Pierre Karpman 
* 
https://www-ljk.imag.fr/membres/Pierre.Karpman/ 

> Message: 1
> Date: Tue, 16 Oct 2018 07:02:28 -0700
> From: Ted Krovetz <[email-masked]>
> To: [email-masked]
> Subject: [Cfrg] RFCs for wider-block RC6 and OCB
> Message-ID: <[email-masked]>
> Content-Type: text/plain; charset=us-ascii

> Hello,

> About six months ago I put together an Internet-Draft that specified how to use
> the authenticated-encryption algorithm OCB and a block cipher without 128-bit
> blocks. This was in response to a few researchers and developers who had
> expressed interest in such a thing. As an exemplar I wrote RC6 (and RC5) code
> and an Internet-Draft for block lengths other than originally intended.

> https://datatracker.ietf.org/doc/draft-krovetz-ocb-wideblock/
> https://datatracker.ietf.org/doc/draft-krovetz-rc6-rc5-vectors/

> My question for CFRG is whether I should pursue these RFCs through the
> Independent submission channel, or whether there is interest within CFRG to
> review and/or sponsor the drafts.

> Thank you,
> Ted Krovetz

> *************************************